<template>
    <iframe class="iframe" :src="frameUrl"></iframe>
</template>
<script setup>
import { ref, watchEffect } from 'vue'
const frameUrl = ref('')
const props = defineProps({
    url: {
        type: String,
        default: () => ""
    }
})

watchEffect(() => {
    if (props.url) {
        frameUrl.value = props.url
    }
})

</script>
<style>
.iframe {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    overflow: hidden;
    scrollbar-width: 0px;
    outline: 0;
    border: 0;
}
</style>